FUNCTION TEMPLA(3)

NAME
boost::property_tree::serialize

SYNOPSIS

// In header: <boost/property_tree/ptree_serialization.hpp>
template<typename Archive, typename K, typename D, typename C>
  void serialize(Archive & ar, basic_ptree< K, D, C > & t,
                 const unsigned int file_version);

DESCRIPTION

Load or store the property tree using the given archive.

Parameters:

    ar
        The archive from which to load or save the serialized property tree. The type of this archive will determine whether saving or loading is performed.

    file_version
        file_version for the archive.

    t
        The property tree to load or save.